"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIntrospectionFromTypedefs = void 0;
const graphql_tools_1 = require("graphql-tools");
const graphql_1 = require("graphql");
async function createIntrospectionFromTypedefs(typeDefs) {
    const schema = (0, graphql_tools_1.makeExecutableSchema)({
        typeDefs,
    });
    const { data, errors } = await (0, graphql_1.graphql)(schema, (0, graphql_1.getIntrospectionQuery)());
    if (errors) {
        throw errors;
    }
    if (data == null) {
        throw new Error("data is null");
    }
    return data;
}
exports.createIntrospectionFromTypedefs = createIntrospectionFromTypedefs;
//# sourceMappingURL=introspect.js.map