import { makeExecutableSchema } from "graphql-tools";
import { graphql, getIntrospectionQuery } from "graphql";
export async function createIntrospectionFromTypedefs(typeDefs) {
    const schema = makeExecutableSchema({
        typeDefs,
    });
    const { data, errors } = await graphql(schema, getIntrospectionQuery());
    if (errors) {
        throw errors;
    }
    if (data == null) {
        throw new Error("data is null");
    }
    return data;
}
//# sourceMappingURL=introspect.js.map