import { ASTBlock } from "./traverse";
import { IntrospectionQuery } from "graphql";
declare type ScalarField = {
    kind: "scalar";
    name: string;
    type: string;
};
declare type ObjectField = {
    kind: "object";
    name: string;
    closure: Closure;
    nullable: boolean;
} & ({
    array: true;
    nullableArray: boolean;
} | {
    array: false;
});
declare type Field = ScalarField | ObjectField;
export declare type Fields = Map<string, Field>;
export declare type Closure = {
    hasTypename: boolean;
    possibleTypes: string[];
    commonFields: Fields;
    branchedFields: Map<string, Fields>;
    unionWith: string[];
};
export declare function parseClosures(introspection: IntrospectionQuery, block: ASTBlock): Closure;
export {};
//# sourceMappingURL=closure.d.ts.map