import { DocumentNode } from "graphql";
export declare type ASTBlock = {
    currentType: string;
    currentPath: string[];
    hasTypename: boolean;
    fields: ASTField[];
    anonymousFragments: ASTBlock[];
    namedFragments: ASTBlock[];
    spreadTypes: string[];
};
export declare type ASTField = ASTScalarField | ASTObjectField;
export declare type ASTScalarField = {
    type: "scalar";
    currentType: string;
    currentPath: string[];
    name: string;
};
export declare type ASTObjectField = {
    type: "object";
    currentType: string;
    currentPath: string[];
    name: string;
    block: ASTBlock;
};
export declare function traverseTree(node: DocumentNode): ASTBlock[];
//# sourceMappingURL=traverse.d.ts.map