import { IntrospectionQuery } from "graphql";
export declare type CollectedEnum = {
    name: string;
    description: string;
    values: Array<{
        name: string;
        value: string;
        description: string;
    }>;
};
export declare type CollectedUnion = {
    name: string;
    description: string;
    unionOf: string[];
};
export declare type CollectedObjectField = {
    builtIn: boolean;
    isEnum: boolean;
    name: string;
    type: string;
    nullable: boolean;
    array: boolean;
    nullableArray: boolean;
    description: string;
    defaultValue?: any;
};
export declare type CollectedRootObjectField = CollectedObjectField & {
    args: CollectedObjectField[] | null;
};
export declare type CollectedObject = {
    isInput: boolean;
    isInterface: boolean;
    isObject: boolean;
    name: string;
    description: string;
    fields: CollectedRootObjectField[];
    possibleTypes: string[];
    extends: string[];
};
export declare function parseSchema(introspection: IntrospectionQuery): {
    enums: CollectedEnum[];
    unions: CollectedUnion[];
    interfaces: CollectedObject[];
    objects: CollectedObject[];
    inputObjects: CollectedObject[];
};
//# sourceMappingURL=parse.d.ts.map